#include <stdio.h>
//#include <math.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char ** argv){
 double alt,az;
 if( argc<3 ){fprintf(stderr,"Usage: %s altitide_deg azimuth_deg\n",argv[0]);return 1;}
 alt=atof(argv[1]);
 if( alt>90.0 || alt<-90.0 ){fprintf(stderr,"Problem with altitude: %lf\nUsage: %s altitide_deg azimuth_deg\n",alt,argv[0]);return 1;}
 az=atof(argv[2]);
 if( az<0.0 || az>360.0 ){fprintf(stderr,"Problem with azimuth: %lf\nUsage: %s altitide_deg azimuth_deg\n",az,argv[0]);return 1;} 

 // Check if there is a problem for PU.
 // Actually the lower elevation limit is 5 deg.
 if( alt<5.0 || alt>88.5 )return 1;
 //if( az<5.0 || az>355.0 )return 1;

 return 0;
}
